BZERO(3) | Library Functions Manual | BZERO(3)

# NAME

`bzero` —
write zeroes to a byte string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <strings.h>`

void
`bzero`(void *b, size_t len);

# DESCRIPTION

The `bzero`() function writes len zero bytes to the string b. If len is zero, `bzero`() does nothing.

# SEE ALSO

memset(3), swab(3)

# STANDARDS

The `bzero`() function conforms to IEEE Std 1003.1-2001 (“POSIX.1”). The IEEE Std 1003.1-2004 (“POSIX.1”) revision marked it as legacy and recommended the use of memset(3) instead. The IEEE Std 1003.1-2008 (“POSIX.1”) revision removed `bzero`() from the specification.

# HISTORY

A `bzero`() function appeared in 4.3BSD.

April 29, 2010 | NetBSD 9.5